Subject: Re: [v4,4/4] powernv: powerpc: Add winkle support for offline cpus

From: Shreyas B Prabhu <[email-masked]>
Date: Mon, 15 Dec 2014 12:33:41 +0530

On Monday 15 December 2014 05:31 AM, Michael Ellerman wrote:
> On Sun, 2014-12-14 at 17:22 +0530, Shreyas B Prabhu wrote:
>> On Sunday 14 December 2014 03:35 PM, Michael Ellerman wrote:
>>>> diff --git a/arch/powerpc/platforms/powernv/subcore.h b/arch/powerpc/platforms/powernv/subcore.h
>>>> index 148abc9..604eb40 100644
>>>> --- a/arch/powerpc/platforms/powernv/subcore.h
>>>> +++ b/arch/powerpc/platforms/powernv/subcore.h
>>>> @@ -15,4 +15,5 @@
>>>>  
>>>>  #ifndef __ASSEMBLY__
>>>>  void split_core_secondary_loop(u8 *state);
>>>> +extern void update_subcore_sibling_mask(void);
>>>>  #endif
>>>
>>> subcore.c isn't built for CONFIG_SMP=n, resulting in:
>>>
>>>   setup.c:(.init.text+0x34b0): undefined reference to `.update_subcore_sibling_mask'
>>>
>>> I needed to add:
>>>
>>> +#else
>>> +static inline void update_subcore_sibling_mask(void) { };
>>> +#endif /* CONFIG_SMP */
> 
>> Sorry I missed that.
> 
> No worries.
> 
> Can you please do a quick test with a SMP=n kernel.
> 
> It looks like it should work, but it would be good to test.
> 
I successfully tested SMP=n kernel with your next branch.

Thanks,
Shreyas